import { jsx as p, Fragment as s } from "@emotion/react/jsx-runtime";
import { useMemo as m, Children as i, isValidElement as c } from "react";
import { Step as f } from "./subcomponents/Step/index.js";
function u(r) {
  const { children: t } = r, n = m(() => {
    const o = [];
    return i.forEach(t, (e) => {
      if (c(e) && e.type === f)
        o.push(e);
      else
        throw new Error(
          "StepperContent: Solo se permiten componentes Step como hijos."
        );
    }), o;
  }, [t]);
  return /* @__PURE__ */ p(s, { children: n });
}
export {
  u as StepperContent
};
